DewaVPS

Change instance IP

PATCH
/network/public/{ip_uuid}/change-instance

Change which instance a public IP address is assigned to.

Authorization

ApiKeyAuth
x-apikey<token>

In: header

Path Parameters

ip_uuid*string

UUID of the public IP

Formatuuid

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://api.dewavps.com/v1/network/public/497f6eca-6276-4993-bfeb-53cbbbba6f08/change-instance" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d 'instance_id=06587974-2dbe-4e10-8bf9-38cce0f5a366'
{
  "message": "Public network instance successfully removed.",
  "data": {
    "ip_id": "602306df-2b43-41fc-9d87-0794b5135083",
    "instance_id": "06587974-2dbe-4e10-8bf9-38cce0f5a366"
  }
}